# Uses of Interface
org.apache.lucene.analysis.morph.Dictionary

Packages that use Dictionary
Package
Description
org.apache.lucene.analysis.morph
Abstract classes for morphological analyzers.

- ## Uses of Dictionary in org.apache.lucene.analysis.morph

  Classes in org.apache.lucene.analysis.morph that implement Dictionary
  Modifier and Type
  Class
  Description
  `class`
  `BinaryDictionary<T extends MorphData>`
  Abstract dictionary base class.
  Fields in org.apache.lucene.analysis.morph with type parameters of type Dictionary
  Modifier and Type
  Field
  Description
  `protected final EnumMap<TokenType,Dictionary<? extends U>>`
  ViterbiNBest.`dictionaryMap`
  Methods in org.apache.lucene.analysis.morph that return Dictionary
  Modifier and Type
  Method
  Description
  `Dictionary<? extends T>`
  GraphvizFormatter.DictionaryProvider.`get(TokenType type)`
  Constructors in org.apache.lucene.analysis.morph with parameters of type Dictionary
  Modifier
  Constructor
  Description
  `protected`
  `Viterbi(TokenInfoFST fst, FST.BytesReader fstReader, BinaryDictionary<? extends MorphData> dictionary, TokenInfoFST userFST, FST.BytesReader userFSTReader, Dictionary<? extends MorphData> userDictionary, ConnectionCosts costs, Class<U> positionImpl)`
  `protected`
  `ViterbiNBest(TokenInfoFST fst, FST.BytesReader fstReader, BinaryDictionary<? extends MorphData> dictionary, TokenInfoFST userFST, FST.BytesReader userFSTReader, Dictionary<? extends MorphData> userDictionary, ConnectionCosts costs)`